package com.ruoyi.ie.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 试卷信息对象 papers
 *
 * @author mingxue
 * @date 2021-06-20
 */
@ApiModel("试卷信息对象")
public class Papers extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long id;

    @ApiModelProperty("试卷名称")
    private String paperName;

    @ApiModelProperty("科目名称")
    private String subjectName;

    private String parseName;
    @ApiModelProperty("试题数量")
    private String number;

    @ApiModelProperty("试卷唯一标识,后台生成")
    private String tiid;

    @ApiModelProperty("试卷年份")
    private Integer year;
    @ApiModelProperty("区域")
    private String area;
    @ApiModelProperty("试卷类型")
    private String paperType;

    @ApiModelProperty("年级名称")
    private String gradeName;

    /** $column.columnComment */
    private Long mark;

    @ApiModelProperty("是否有效 1 有效 0 无效，默认 1")
    private Integer isExist;

    private Integer isHot;

    @ApiModelProperty("试卷总分")
    private Long fenshu;

    private boolean collect;

    private Integer paperSource;
    private String osspath;
    private String filename;
    private String attachments;

    private Integer subjectId;

    private Integer paperTypeId;

    @ApiModelProperty("试卷试题关联表，保存试卷时使用")
    private  List<Paperques> paperques;

    private  List<Questions> questions;
    private String column;

    private Long examineeId;

    private String accuracy;

    private String location;
    private String examineeType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getParseName() {
        return parseName;
    }

    public void setParseName(String parseName) {
        this.parseName = parseName;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getTiid() {
        return tiid;
    }

    public void setTiid(String tiid) {
        this.tiid = tiid;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }

    public Long getMark() {
        return mark;
    }

    public void setMark(Long mark) {
        this.mark = mark;
    }

    public Integer getIsExist() {
        return isExist;
    }

    public void setIsExist(Integer isExist) {
        this.isExist = isExist;
    }

    public Long getFenshu() {
        return fenshu;
    }

    public void setFenshu(Long fenshu) {
        this.fenshu = fenshu;
    }

    public boolean isCollect() {
        return collect;
    }

    public void setCollect(boolean collect) {
        this.collect = collect;
    }

    public Integer getPaperSource() {
        return paperSource;
    }

    public void setPaperSource(Integer paperSource) {
        this.paperSource = paperSource;
    }

    public String getOsspath() {
        return osspath;
    }

    public void setOsspath(String osspath) {
        this.osspath = osspath;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getPaperTypeId() {
        return paperTypeId;
    }

    public void setPaperTypeId(Integer paperTypeId) {
        this.paperTypeId = paperTypeId;
    }

    public List<Paperques> getPaperques() {
        return paperques;
    }

    public void setPaperques(List<Paperques> paperques) {
        this.paperques = paperques;
    }

    public List<Questions> getQuestions() {
        return questions;
    }

    public void setQuestions(List<Questions> questions) {
        this.questions = questions;
    }

    public String getColumn() {
        return column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public Integer getIsHot() {
        return isHot;
    }

    public void setIsHot(Integer isHot) {
        this.isHot = isHot;
    }

    public Long getExamineeId() {
        return examineeId;
    }

    public void setExamineeId(Long examineeId) {
        this.examineeId = examineeId;
    }

    public String getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(String accuracy) {
        this.accuracy = accuracy;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getExamineeType() {
        return examineeType;
    }

    public void setExamineeType(String examineeType) {
        this.examineeType = examineeType;
    }
}
